Index: trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/debian/changelog
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/debian/changelog	(revision 60)
+++ trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/debian/changelog	(revision 63)
@@ -1,2 +1,8 @@
+sipb-xen-remctl-auto (1.0.1) unstable; urgency=low
+
+  * Stop scaring me with unquoted variables.
+
+ -- Anders Kaseorg <andersk@mit.edu>  Sun, 05 Aug 2007 22:11:02 -0400
+
 sipb-xen-remctl-auto (1.0) unstable; urgency=low
 
Index: trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/etc/remctl/sipb-xen-auto/bin/dispatch.sh
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/etc/remctl/sipb-xen-auto/bin/dispatch.sh	(revision 60)
+++ trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/etc/remctl/sipb-xen-auto/bin/dispatch.sh	(revision 63)
@@ -10,11 +10,11 @@
 # need them for this script.
 
-ACTION=$(echo $0 | awk -F'.' '{print $2}')
+ACTION=$(echo "$0" | awk -F'.' '{print $2}')
 MACHINE=$1
-echo $ACTION
+echo "$ACTION"
 
 case "$ACTION" in
     reboot|list|vcpu-list|destroy|create|uptime)
-        xm $ACTION $MACHINE
+        xm "$ACTION" "$MACHINE"
         exit 0
 	;;
Index: trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/etc/remctl/sipb-xen-auto/remctl-update.sh
===================================================================
--- trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/etc/remctl/sipb-xen-auto/remctl-update.sh	(revision 60)
+++ trunk/packages/sipb-xen-remctl-auto/sipb-xen-remctl-auto/files/etc/remctl/sipb-xen-auto/remctl-update.sh	(revision 63)
@@ -14,10 +14,10 @@
 {
     machine=$1
-    sed "s/#MACHINENAME#/$machine/g" $TEMPLATE | \
-	sed "s,#BINDIR#,$BINDIR,g" >| $MACHINETMP
-    if ! cmp -s $MACHINEDIR/$machine $MACHINETMP; then
-	mv $MACHINETMP $MACHINEDIR/$machine
+    sed "s/#MACHINENAME#/$machine/g" "$TEMPLATE" | \
+	sed "s,#BINDIR#,$BINDIR,g" >| "$MACHINETMP"
+    if ! cmp -s "$MACHINEDIR/$machine" "$MACHINETMP"; then
+	mv "$MACHINETMP" "$MACHINEDIR/$machine"
     else
-	rm -f $MACHINETMP
+	rm -f "$MACHINETMP"
     fi
 }
@@ -31,18 +31,16 @@
     # all bits and delete the moira-acl files whenever there's an AFS
     # outage.
-    pts membership system:$group -noauth | tail -n+2 | \
-	sed 's/\./\//' | \
-	sed 's/^  //' | \
-	sed 's/$/@ATHENA.MIT.EDU/g' >| $MOIRATMP
-    if test -s $MOIRATMP; then
-	if ! cmp -s $MOIRADIR/$group $MOIRATMP; then
-	    mv $MOIRATMP $MOIRADIR/$group
+    pts membership -nameorid "system:$group" -noauth | tail -n+2 | \
+	sed 's/\./\//; s/^  //; s/$/@ATHENA.MIT.EDU/g' >| "$MOIRATMP"
+    if test -s "$MOIRATMP"; then
+	if ! cmp -s "$MOIRADIR/$group" "$MOIRATMP"; then
+	    mv "$MOIRATMP" "$MOIRADIR/$group"
 	fi
     else
-	if test -e $MOIRADIR/$group; then
-	    rm $MOIRADIR/$group
+	if test -e "$MOIRADIR/$group"; then
+	    rm "$MOIRADIR/$group"
 	fi
     fi
-    rm -f $MOIRATMP
+    rm -f "$MOIRATMP"
 }
 
@@ -54,24 +52,24 @@
     all_machines)
         # update the remctl.conf definitions
-	for machine in `cat $AUTOMACHINELIST`; do
-	    update_machine $machine
+	for machine in `cat "$AUTOMACHINELIST"`; do
+	    update_machine "$machine"
 	done
 	;;
     all_moira)
         # update our moira ACL lists
-	for group in `cat $AUTOMOIRALIST`; do
-	    update_moiragroup $group
+	for group in `cat "$AUTOMOIRALIST"`; do
+	    update_moiragroup "$group"
 	done
 	;;
     auto_machine_list)
         # update the list of maintained machines
-	/bin/ls $ACLDIR >| $AUTOMACHINELIST
+	/bin/ls "$ACLDIR" >| "$AUTOMACHINELIST"
 	;;
     auto_moira_list)
         # update the moira list-of-lists
-        # /bin/ls $MOIRADIR >| $AUTOMOIRALIST # BAD IDEA in case of outage
+        # /bin/ls "$MOIRADIR" >| "$AUTOMOIRALIST" # BAD IDEA in case of outage
 
 	# This extracts the list of all moira lists we care about, and updates those.
-	grep -R moira $ACLDIR/ /etc/remctl/acl/ | perl -pe 's/.*moira-acl\/(.*)/$1/g' >| $AUTOMOIRALIST
+	grep -R moira "$ACLDIR/" /etc/remctl/acl/ | perl -pe 's/.*moira-acl\/(.*)/$1/g' >| "$AUTOMOIRALIST"
 	;;
     all)
